//
//  LABackgroundView.h
//  LAAdditions
//
//  Created by Cyril Anger on 09/05/08.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <LAAdditions/LAViewAdditions.h>
#import <LAAdditions/LAImageAdditions.h>

@interface LABackgroundView : LAView

#if !TARGET_OS_IPHONE
@property NSInteger tag;
#endif
@property (strong, nonatomic) LAColor *color;
@property (strong, nonatomic) LAImage *colorPatternImage;
@property (weak, nonatomic) NSString *colorPatternImageName;
@property (strong, nonatomic) LAImage *image;
@property (strong, nonatomic) NSString *imageName;
@property (nonatomic) LAEdgeInsets capInsets;
@property (weak, nonatomic) NSString *capInsetsComponents;
@property (strong, nonatomic) LAGradient *gradient;
@property (strong, nonatomic) LAColor *gradientStartColor;
@property (strong, nonatomic) LAColor *gradientEndColor;
@property (getter = isVertical, nonatomic) BOOL vertical;
@property (nonatomic) CGFloat innerShadowRadius;

@end
