//
//  LAProgressBar.h
//  LAAdditions
//
//  Created by Cyril Anger on 30/01/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <LAAdditions/LAViewAdditions.h>
#import <LAAdditions/LAColorAdditions.h>

@interface LAProgressBar : LAView

@property (strong, nonatomic) LAColor *color;
@property (nonatomic) BOOL drawsPercentages;
@property (nonatomic) CGFloat progress;
@property (nonatomic) CGFloat plannedProgress;
@property (nonatomic) CGFloat expectedProgress;
@property (strong, nonatomic) NSString *remainingPartTitle;

@property (weak, nonatomic) IBOutlet NSLayoutConstraint *expectedProgressViewLeadingConstraint;

@end
