//
//  LASecureTextField.h
//  LAAdditions
//
//  Created by Cyril Anger on 05/04/13.
//  Copyright (c) 2013 LyricApps. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import <LAAdditions/LAColorAdditions.h>

@interface LASecureTextFieldCell : NSSecureTextFieldCell

@property (getter = isEditing, nonatomic) BOOL editing;
@property (strong, nonatomic) NSShadow *textShadow;
@property (strong, nonatomic) LAColor *textShadowColor;
@property (nonatomic) LASize textShadowOffset;

@end

@interface LASecureTextField : NSSecureTextField

@property (getter = isEditing, nonatomic, readonly) BOOL editing;
@property (strong, nonatomic) NSShadow *textShadow;
@property (strong, nonatomic) LAColor *textShadowColor;
@property (nonatomic) LASize textShadowOffset;

@end
