//
//  LABox.h
//  LAAdditions
//
//  Created by Cyril Anger on 08/11/08.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <LAAdditions/LAViewAdditions.h>
#if !TARGET_OS_IPHONE
#import <LAAdditions/LATextField.h>
#endif

@interface LABox : LAView

@property (getter = isVisible, nonatomic) BOOL visible;
@property (getter = isExpanded, nonatomic) BOOL expanded;
@property (strong, nonatomic) NSString *autosaveName;

#if TARGET_OS_IPHONE
@property (weak, nonatomic) IBOutlet UIButton *toggleButton;
#else
@property (weak, nonatomic) IBOutlet NSButton *toggleButton;
@property (weak, nonatomic) IBOutlet NSTextField *titleLabel;
#endif
@property (weak, nonatomic) IBOutlet LAView *contentView;

- (IBAction)toggleContentView:(id)sender;

@end

@interface LABoxesContainer : LAControl

- (void)setNeedsUpdateSubviews;

@end

#if TARGET_OS_IPHONE

@interface LABoxTitleButton : UIButton

@end

@interface LABoxPropertyLabel : UILabel

@end

#else

@interface LABoxTitleLabel : LATextField

@end

@interface LABoxPropertyLabel : LATextField

@end

#endif
