//
//  LAFontAdditions.h
//  LAAdditions
//
//  Created by Cyril Anger on 14/04/11.
//  Copyright 2011 LyricApps. All rights reserved.
//

#if TARGET_OS_IPHONE
#define LAFont UIFont
#else
#define LAFont NSFont
#define NSTextAlignmentLeft NSLeftTextAlignment
#define NSTextAlignmentCenter NSCenterTextAlignment
#define NSTextAlignmentRight NSRightTextAlignment
#endif

@interface LAFont (LAFontAdditions)

#if !TARGET_OS_IPHONE
- (LAFont *)fontWithSize:(CGFloat)fontSize;
#endif
- (LAFont *)smallerFont:(CGFloat)delta;
- (LAFont *)biggerFont:(CGFloat)delta;

@end
