//
//  LAManagedObjectContextOperation.h
//  LAAdditions
//
//  Created by Cyril Anger on 17/01/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@class LAManagedObjectContextOperation;

typedef void (^LAManagedObjectContextOperationBlock)(LAManagedObjectContextOperation *operation, NSManagedObjectContext *managedObjectContext);

@interface LAManagedObjectContextOperation : NSOperation

@property (strong, readonly) NSManagedObjectContext *parentManagedObjectContext;
@property (strong, readonly) NSManagedObjectContext *managedObjectContext;

- (id)initWithParentManagedObjectContext:(NSManagedObjectContext *)parentManagedObjectContext block:(LAManagedObjectContextOperationBlock)block;
- (void)finalizeWithBlock:(void (^)(void))block;

@end
